Subject: Re: [Netconf] IPR Poll for draft-ietf-netconf-restconf-12

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 1 May 2016 09:37:36 +0200

What is a registered contributor? Frankly, we draw somewhat arbitrary
lines here. That said, I think I do understand the IETF IPR rules if
that was the question.

/js

On Sun, May 01, 2016 at 12:15:16AM +0000, Ersue, Mehmet (Nokia - DE/Munich) wrote:
> Hi Jonathan, Juergen, Rex,
> 
> AFAICS you did not respond to the request below.
> As registered contributor to the RESTCONF draft we do require your IPR statement.
> 
> > If you are listed as a document author or contributor (CCed) please respond to this email ON NETCONF MAILLIST explicitly regardless of whether or not you are aware of
> > any relevant IPR. The document will not advance to the next stage until a response has been received from _each author and contributor_.
> 
> I hope you will respond soon and we can start the publication process officially.
> 
> Thanks.
> 
> Mehmet
> 
> From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]<mailto:[email-masked]>>
> Date: Sunday, April 24, 2016 at 5:49 PM
> To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> Cc: EXT Ladislav Lhotka <[email-masked]<mailto:[email-masked]>>, Juergen Schoenwaelder <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, EXT Andy Bierman <[email-masked]<mailto:[email-masked]>>, Martin Bjorklund <[email-masked]<mailto:[email-masked]>>, Kent Watsen <[email-masked]<mailto:[email-masked]>>
> Subject: IPR Poll for draft-ietf-netconf-restconf-12
> 
> Dear Authors and Contributors of RESTCONF Draft,
> Dear WG Members,
> 
> please state on the maillist clearly whether you own or are aware of any IPR that applies to draft-ietf-netconf-restconf-12.txt.
> For the opposite case, please state also on the maillist clearly if you don’t own or are not aware of any IPR that applies to the draft-ietf-netconf-restconf.
> 
> If you own or are aware of any IPR that applies to the draft-ietf-netconf-restconf please clarify whether
> this IPR been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
> If not please do so asap.
> 
> If you are listed as a document author or contributor (CCed)please respond to this email ON NETCONF MAILLIST explicitly regardless of whether or not you are aware of any relevant IPR. The document will not advance to the next stage until a response has been received from _each authorand contributor_.
> 
> If you are not listed as an author or contributor but are on NETCONF WG maillist, then please explicitly respond if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.
> 
> Thank you for kind support.
> 
> Regards,
> Mehmet & Mahesh
> 

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Benoit Claise <[email-masked]>
Date: Mon, 2 May 2016 11:42:21 +0200

This email generated some further non-public discussions, and I was 
asked to provide guidelines. Here it is.

Regards, Benoit

===================

Theory first.
- Contributor definition, see RFC 5378 and RFC3979
- Who Must Make an IPR Disclosure? A Contributor's IPR in his or her 
Contribution. See RFC3979 section 6.1
- The Timing of Providing Disclosure. See RFC3979 section 6.2

The chairs are right to ask about IPR before WG adoption, and again 
before sending the document to publication.
The WG could be unhappy if an IPR declaration was made just after WG 
adoption, or just after publication. The WG needs to make an informed 
decision.

So if you are a contributor, you must answer the IPR request. Full stop. 
It takes 3 seconds to answer "I'm not aware of any IPR"

Since I'm asked, here are the suggested guidelines.
1. Let's try to respect the rule of 5 authors (RFC7322 section 4.1.1)
2. If someone made some sort of contribution (like an entire section) 
but he is not listed as an author, he is a contributor. The editors make 
the call.
3. If someone corrects a few sentences, part of a document review, he is 
acknowledged. The editors make the call.
4. Between authors, contributors, acknowledgement section, the document 
shepherd and chairs can make the call if we need an arbiter.
5. IPR requests are only sent to editors, authors, and contributors
6. Let's avoid the keywords such as contributors and ideally 
contributions in the acknowledgment section.

Regards, Benoit

---

From: "Jonathan Hansford" <[email-masked]>
Date: Wed, 4 May 2016 21:03:42 +0100

Apologies for the delay. I'm not aware of any IPR.

Jonathan

From: Ersue, Mehmet (Nokia - DE/Munich) [mailto:[email-masked]] 
Sent: 01 May 2016 01:15
To: Netconf <[email-masked]>; [email-masked]; [email-masked]; Juergen Schoenwaelder <[email-masked]>
Cc: EXT Benoit Claise <[email-masked]>
Subject: RE: IPR Poll for draft-ietf-netconf-restconf-12

Thanks.

Mehmet 

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked] <mailto:[email-masked]> >
Date: Sunday, April 24, 2016 at 5:49 PM
To: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Cc: EXT Ladislav Lhotka <[email-masked] <mailto:[email-masked]> >, Juergen Schoenwaelder <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, EXT Andy Bierman <[email-masked] <mailto:[email-masked]> >, Martin Bjorklund <[email-masked] <mailto:[email-masked]> >, Kent Watsen <[email-masked] <mailto:[email-masked]> >
Subject: IPR Poll for draft-ietf-netconf-restconf-12

Dear WG Members,

Regards,

Mehmet & Mahesh